Bug 107474 - RADV does not support a dedicated transfer queue
Summary: RADV does not support a dedicated transfer queue
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: unspecified
Hardware: All All
: medium enhancement
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-03 16:00 UTC by Alex Smith
Modified: 2019-09-18 19:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Smith 2018-08-03 16:00:35 UTC
This is supported by AMDVLK (as well as the NVIDIA proprietary driver). This can be useful for things like resource streaming and memory defragmentation.

It'd be good if RADV could add support for this as well.
Comment 1 Dave Airlie 2018-08-07 23:03:49 UTC
FYI I've had a branch and posted patches for starting this on gfx8 and gfx9.

https://github.com/airlied/mesa/tree/radv-wip-transfer-queue-4

There are lots of corner cases and I hadn't resolved all the CTS tests on gfx9 I don't think.

I'm not sure when I'll loop back around to it, it would be good to have something more to test it with than CTS.
Comment 2 GitLab Migration User 2019-09-18 19:51:14 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/850.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.